import 'dart:ui';

import 'package:flutter/material.dart';
import 'dialogUp.dart';


class PinTextDialog extends Dialog {
  final Function(String value) callback;
  final Function cancel;
  final String theme;
  final String batchNo;
  final String category;


  PinTextDialog({Key key,this.batchNo,this.category ,this.callback, this.cancel, this.theme}) : super(key: key);


  String init ;

  @override
  Widget build(BuildContext context) {
    return
      Material(
      //创建透明层
      type: MaterialType.transparency, //透明类型
     //child: BackdropFilter(
       // filter: ImageFilter.blur(sigmaX: 10.0, sigmaY: 10.0),
        child: Container(
          child: Center(
            child: DialogUp(batchNo,"true",category,true)
          ),
        //),
      ),
    );
  }



  // 输入框
  // Widget buildTextField(context) {
  //   return Padding(
  //     padding: EdgeInsets.symmetric(horizontal: 20.px),
  //     child:
  //   );
  // }
}
